package demo;

import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.nio.file.FileVisitResult;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.nio.file.SimpleFileVisitor;
import java.nio.file.attribute.BasicFileAttributes;

public class Generator {
	
	public static void main(String[] args) throws IOException, ClassNotFoundException, InstantiationException, IllegalAccessException {
		Path path = Paths.get("../Looper2/src-gen/sample");
		Files.walkFileTree(path, 
			      new SimpleFileVisitor<Path>() {
			        @Override
			        public FileVisitResult postVisitDirectory(
			          Path dir, IOException exc) throws IOException {
			            Files.delete(dir);
			            return FileVisitResult.CONTINUE;
			        }
			         
			        @Override
			        public FileVisitResult visitFile(
			          Path file, BasicFileAttributes attrs) 
			          throws IOException {
			            Files.delete(file);
			            return FileVisitResult.CONTINUE;
			        }
			    });
		Files.deleteIfExists(path);
		Files.createDirectories(Paths.get("../Looper2/src-gen/sample"));
		for (int i = 0; i < Main.NOC; i++) {
			Files.write(Paths.get("../Looper2/src-gen/sample/C"+i+".java"), ("package sample; public class C"+i+" {}").getBytes(StandardCharsets.UTF_8));
		}
		
	}

}
